var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "jrptlib/Evented"], function (require, exports, Evented) {
    "use strict";
    var Widget = (function (_super) {
        __extends(Widget, _super);
        function Widget(container) {
            var _this = _super.call(this) || this;
            _this.container = container;
            if (!_this.container)
                throw 'Element cannot be null';
            $(_this.container).addClass("ui-widget");
            $(_this.container).data("widget", _this);
            return _this;
        }
        Widget.prototype.setClassName = function (name) {
            var classes = $(this.container).attr('class');
            classes = name + ' ' + classes;
            $(this.container).attr('class', classes);
            this.class_name = name;
        };
        Widget.prototype.getContainer = function () {
            return this.container;
        };
        Widget.prototype.setDisabled = function (disabled) {
            if (disabled)
                $(this.container).addClass("ui-state-disabled");
            else
                $(this.container).removeClass("ui-state-disabled");
        };
        Widget.prototype.isDisabled = function () {
            return $(this.container).hasClass("ui-state-disabled");
        };
        Widget.prototype.destroy = function () {
            if (this.class_name)
                $(this.container).removeClass(this.class_name);
            $(this.container).removeClass("ui-state-disabled");
            $(this.container).removeClass("ui-widget");
        };
        Widget.prototype.getH = function () {
            return $(this.container).height();
        };
        Widget.prototype.getW = function () {
            return $(this.container).width();
        };
        Widget.prototype.setW = function (w) {
            $(this.container).width(w);
        };
        Widget.prototype.setH = function (h) {
            $(this.container).height(h);
        };
        return Widget;
    }(Evented));
    Widget.MAX_H_RESOLUTION = screen.height;
    return Widget;
});
