var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "view/query/GSessionRequestProvider"], function (require, exports, GSessionRequestProvider) {
    "use strict";
    var GInstanceQueryProvider = (function (_super) {
        __extends(GInstanceQueryProvider, _super);
        function GInstanceQueryProvider() {
            return _super.call(this) || this;
        }
        GInstanceQueryProvider.prototype.dispose = function () {
        };
        GInstanceQueryProvider.prototype.setSession = function (session) {
            _super.prototype.setSession.call(this, session);
            this.oldInstancesNumber = 0;
        };
        GInstanceQueryProvider.prototype.setIndex = function (index) {
            this.windex = index;
        };
        GInstanceQueryProvider.prototype.getIndex = function () {
            return this.windex;
        };
        GInstanceQueryProvider.prototype.setWildcards = function (wildcards) {
            this.wildcards = wildcards;
        };
        GInstanceQueryProvider.prototype.setInstances = function (instances) {
            this.instances = instances;
        };
        GInstanceQueryProvider.prototype.getRequestUrl = function () {
            var url = this.getSessionFullPath() + "/instances?";
            for (var i = 0; i <= this.windex; i++) {
                url += "&wildcard=" + this.wildcards[i];
            }
            for (var i = 0; i < this.windex; i++) {
                url += "&instance=" + this.instances[this.wildcards[i]];
            }
            return url;
        };
        GInstanceQueryProvider.prototype.getPostData = function () {
        };
        GInstanceQueryProvider.prototype.setData = function (response, notify, idx) {
            var data = response;
            if (data.children) {
                if (this.oldInstancesNumber != data.children.length) {
                    this.emit("instancesListChanged", data.children);
                    this.oldInstancesNumber = data.children.length;
                }
            }
        };
        return GInstanceQueryProvider;
    }(GSessionRequestProvider));
    return GInstanceQueryProvider;
});
