var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "view/query/GTabularQueryProvider"], function (require, exports, GTabularQueryProvider_1) {
    "use strict";
    exports.__esModule = true;
    var GLastQueryProvider = (function (_super) {
        __extends(GLastQueryProvider, _super);
        function GLastQueryProvider(counterQuerySet, bounds) {
            var _this = _super.call(this, counterQuerySet) || this;
            _this.bounds = bounds;
            return _this;
        }
        GLastQueryProvider.prototype.getRequestUrl = function () {
            var url = this.getSessionFullPath() + "/qlast?";
            url += this.counterQuerySet.getUrlParameter();
            if (this.bounds) {
                url += "&cumulativeFrom=" + this.bounds[0];
                if (this.bounds[1]) {
                    url += "&index=" + this.bounds[1];
                }
            }
            return url;
        };
        return GLastQueryProvider;
    }(GTabularQueryProvider_1.GTabularQueryProvider));
    exports.GLastQueryProvider = GLastQueryProvider;
});
