var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "view/query/GLastQueryProvider", "view/query/queryUtil"], function (require, exports, GLastQueryProvider_1, qu) {
    "use strict";
    exports.__esModule = true;
    ;
    var GLastSingleQueryProvider = (function (_super) {
        __extends(GLastSingleQueryProvider, _super);
        function GLastSingleQueryProvider(counterQuerySet, bounds) {
            var _this = _super.call(this, counterQuerySet, bounds) || this;
            _this.dimensions = [
                _this.createCountersDimension(),
            ];
            _this.dims = [0];
            _this.countersDimIndex = 0;
            return _this;
        }
        GLastSingleQueryProvider.prototype.getRequestUrl = function () {
            var url = _super.prototype.getRequestUrl.call(this);
            url += this.session.hostsRoot.getEnabledHostsQuery();
            return url;
        };
        GLastSingleQueryProvider.prototype.processData = function (response) {
            if (response === undefined)
                throw "Empty response received from server";
            var firstTime = this.values === undefined;
            this.values = qu.values(response);
            return {
                dimensionsChanged: [],
                domainChanged: true,
                dataChanged: true,
                majorChange: firstTime
            };
        };
        GLastSingleQueryProvider.prototype.getActions = function (index) {
            return this.getCounterActions(index[0]);
        };
        return GLastSingleQueryProvider;
    }(GLastQueryProvider_1.GLastQueryProvider));
    exports.GLastSingleQueryProvider = GLastSingleQueryProvider;
});
