var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "ui/ReportFilteredContentProvider"], function (require, exports, ReportFilteredContentProvider) {
    "use strict";
    var PageSelectorContentProvider = (function (_super) {
        __extends(PageSelectorContentProvider, _super);
        function PageSelectorContentProvider(activateFilter) {
            if (activateFilter === void 0) { activateFilter = true; }
            var _this = _super.call(this) || this;
            _this.filter = true;
            _this.isAddSubPages = false;
            _this.filter = true;
            return _this;
        }
        PageSelectorContentProvider.prototype.getElements = function (report, handler) {
            if (!this.filter) {
                handler(report.getRootPages());
                return;
            }
            handler(report.getAllPages(this.isAddSubPages));
        };
        PageSelectorContentProvider.prototype.setAddSubPages = function (val) {
            this.isAddSubPages = val;
        };
        return PageSelectorContentProvider;
    }(ReportFilteredContentProvider));
    return PageSelectorContentProvider;
});
