var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "jrptlib/Evented", "ui/SessionSelector", "jrptlib/Properties!APPMSG"], function (require, exports, Evented, SessionSelector, APPMSG) {
    "use strict";
    var SessionSelectorDialog = (function (_super) {
        __extends(SessionSelectorDialog, _super);
        function SessionSelectorDialog(session_set) {
            var _this = _super.call(this) || this;
            _this.session_set = session_set;
            return _this;
        }
        SessionSelectorDialog.prototype.build_dialog = function () {
            var _this = this;
            var e = $("#session_dialog").find(".session_list")[0];
            this.selector = new SessionSelector($("#session_dialog").find(".session_list")[0]);
            this.selector.on("selected", function (session) {
                _this.session_dialog.dialog("close");
                _this.emit("selected", session);
            });
            $("#session_dialog").find(".session_list").height($(window).height() * 0.6);
            this.session_dialog = $("#session_dialog").dialog({
                autoOpen: true,
                modal: true,
                closeText: APPMSG.Close_button,
                dialogClass: "session-dialog",
                width: $(window).width() * 0.7,
                maxHeight: 600,
                buttons: [
                    {
                        text: APPMSG.Close_button,
                        click: function () {
                            $(this).dialog("close");
                        }
                    }
                ]
            });
        };
        SessionSelectorDialog.prototype.select = function () {
            var first_use = false;
            if (this.session_dialog == null) {
                this.build_dialog();
                first_use = true;
            }
            this.session_dialog.dialog("open");
            this.selector.setInput(null);
        };
        return SessionSelectorDialog;
    }(Evented));
    return SessionSelectorDialog;
});
