var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "view/query/GTabularQueryProvider", "view/query/TimeRangesDimension"], function (require, exports, GTabularQueryProvider_1, TimeRangesDimension) {
    "use strict";
    exports.__esModule = true;
    var GRangeQueryProvider = (function (_super) {
        __extends(GRangeQueryProvider, _super);
        function GRangeQueryProvider(counterQuerySet) {
            var _this = _super.call(this, counterQuerySet) || this;
            _this.timeRanges = new TimeRangesDimension();
            return _this;
        }
        GRangeQueryProvider.prototype.getRequestUrl = function () {
            var url = this.getSessionFullPath() + "/qranges?" + this.counterQuerySet.getUrlParameter();
            url += "&ranges=" + this.session.getSelectedTimeRangeIndices().join(",");
            url += this.session.hostsRoot.getEnabledHostsQuery();
            return url;
        };
        return GRangeQueryProvider;
    }(GTabularQueryProvider_1.GTabularQueryProvider));
    exports.GRangeQueryProvider = GRangeQueryProvider;
});
