var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "view/query/GRangeQueryProvider", "view/query/queryUtil"], function (require, exports, GRangeQueryProvider_1, qu) {
    "use strict";
    exports.__esModule = true;
    ;
    var GRangeSingleQueryProvider = (function (_super) {
        __extends(GRangeSingleQueryProvider, _super);
        function GRangeSingleQueryProvider(counterQuerySet) {
            var _this = _super.call(this, counterQuerySet) || this;
            _this.dimensions = [
                _this.createCountersDimension(),
                _this.timeRanges,
            ];
            _this.dims = [0, 1];
            _this.countersDimIndex = 0;
            return _this;
        }
        GRangeSingleQueryProvider.prototype.processData = function (response) {
            var firstTime = this.values === undefined;
            this.values = qu.values(response);
            var event = {
                dimensionsChanged: [],
                domainChanged: true,
                dataChanged: true,
                majorChange: firstTime
            };
            if (this.timeRanges.processTimeRanges(response)) {
                event.dimensionsChanged[1] = true;
            }
            return event;
        };
        GRangeSingleQueryProvider.prototype.getActions = function (index) {
            return this.getCounterActions(index[0]);
        };
        return GRangeSingleQueryProvider;
    }(GRangeQueryProvider_1.GRangeQueryProvider));
    exports.GRangeSingleQueryProvider = GRangeSingleQueryProvider;
});
